diff --git a/web/pgadmin/feature_tests/connect_to_server_feature_test.py b/web/pgadmin/feature_tests/connect_to_server_feature_test.py
index 3999c6e0..b01eb3bc 100644
--- a/web/pgadmin/feature_tests/connect_to_server_feature_test.py
+++ b/web/pgadmin/feature_tests/connect_to_server_feature_test.py
@@ -12,6 +12,7 @@ from selenium.webdriver import ActionChains
 import config as app_config
 from regression.feature_utils.base_feature_test import BaseFeatureTest
 from regression.python_test_utils import test_utils
+from selenium.webdriver.common.keys import Keys
 
 
 class ConnectsToServerFeatureTest(BaseFeatureTest):
@@ -23,6 +24,7 @@ class ConnectsToServerFeatureTest(BaseFeatureTest):
     ]
 
     def before(self):
+        self.__zoom_in()
         connection = test_utils.get_db_connection(self.server['db'],
                                                   self.server['username'],
                                                   self.server['db_password'],
@@ -50,6 +52,7 @@ class ConnectsToServerFeatureTest(BaseFeatureTest):
                                                   self.server['host'],
                                                   self.server['port'])
         test_utils.drop_database(connection, "acceptance_test_db")
+        self.__zoom_out()
 
     def _connects_to_server(self):
         self.page.find_by_xpath("//*[@class='aciTreeText' and .='Servers']").click()
@@ -76,3 +79,9 @@ class ConnectsToServerFeatureTest(BaseFeatureTest):
         self.page.toggle_open_tree_item('public')
         self.page.toggle_open_tree_item('Tables')
         self.page.toggle_open_tree_item('test_table')
+
+    def __zoom_in(self):
+        self.page.driver.execute_script("document.body.style.zoom='125%'")
+
+    def __zoom_out(self):
+        self.page.driver.execute_script("document.body.style.zoom='100%'")
